> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/networking/sdn/data-center-port/describedatacenterportprice.md).

# DescribeDataCenterPortPrice

## 1. API Description

This API (DescribeDataCenterPortPrice) is used to get Available Data Center Port Types and Prices

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type   | Description                                                                                                                                |
| -------------- | -------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------ |
| dcId           | Yes      | String | Data center four-letter code. Obtainable via the [DescribeDataCenters](/api-reference/networking/sdn/location/describedatacenters.md) API. |

## 3. Output Parameters

| Parameter Name | Type                                                                           | Description                                                                                                           |
| -------------- | ------------------------------------------------------------------------------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String                                                                         | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| portPriceSet   | Array of [PortPrice](/api-reference/networking/sdn/datastructure.md#portprice) | The result set of available port types and prices.                                                                    |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}

```json
POST /api/v2/sdn HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeDataCenterPortPrice
<Common Request Params>

Request: {
    "dcId": "SIN1"
}

Response: {
    "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
    "response": {
        "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
        "portPriceSet": [{
            "dcId":"SIN1",
            "portType":"1G",
            "portCategory":"STANDARD",
            "portPrice":{
                "unitPrice":1.65,
                "originalPrice":null,
                "discountPrice":null,
                "discount":100,
                "stepPrices":null,
                "discountUnitPrice":1.65,
                "chargeUnit":"DAY"
            },
            "stock":100
        }, {
            "dcId":"SIN1",
            "portType":"10G",
            "portCategory":"STANDARD",
            "portPrice":{
                "unitPrice":12.5,
                "originalPrice":null,
                "discountPrice":null,
                "discount":100,
                "stepPrices":null,
                "discountUnitPrice":12.5,
                "chargeUnit":"DAY"
            },
            "stock":50
        }]
    }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |
